import*as Apollo from'@apollo/client';import {gql}from'@apollo/client';import'react';import'@apollo/client/react/components';import'@apollo/client/react/hoc';const defaultOptions = {};
gql `
    mutation addCounterState($amount: Int!) {
  addCounterState(amount: $amount) @client {
    counter
  }
}
    `;
gql `
    mutation addCounter($amount: Int!) {
  addCounter(amount: $amount) {
    amount
  }
}
    `;
const AddCounter_WsDocument = gql `
    mutation AddCounter_WS($amount: Int!) {
  addCounter(amount: $amount) {
    amount
  }
}
    `;
/**
 * __useAddCounter_WsMutation__
 *
 * To run a mutation, you first call `useAddCounter_WsMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useAddCounter_WsMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [addCounterWsMutation, { data, loading, error }] = useAddCounter_WsMutation({
 *   variables: {
 *      amount: // value for 'amount'
 *   },
 * });
 */
function useAddCounter_WsMutation(baseOptions) {
    const options = Object.assign(Object.assign({}, defaultOptions), baseOptions);
    return Apollo.useMutation(AddCounter_WsDocument, options);
}
const SyncCachedCounterDocument = gql `
    mutation SyncCachedCounter {
  syncCachedCounter
}
    `;
/**
 * __useSyncCachedCounterMutation__
 *
 * To run a mutation, you first call `useSyncCachedCounterMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useSyncCachedCounterMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [syncCachedCounterMutation, { data, loading, error }] = useSyncCachedCounterMutation({
 *   variables: {
 *   },
 * });
 */
function useSyncCachedCounterMutation(baseOptions) {
    const options = Object.assign(Object.assign({}, defaultOptions), baseOptions);
    return Apollo.useMutation(SyncCachedCounterDocument, options);
}
const CounterCacheQueryDocument = gql `
    query counterCacheQuery {
  counterCache {
    amount
  }
}
    `;
function useCounterCacheQueryLazyQuery(baseOptions) {
    const options = Object.assign(Object.assign({}, defaultOptions), baseOptions);
    return Apollo.useLazyQuery(CounterCacheQueryDocument, options);
}
gql `
    query CounterState {
  counterState @client {
    counter
  }
}
    `;
gql `
    query counterQuery {
  counter {
    amount
  }
}
    `;
gql `
    subscription onCounterUpdated {
  counterUpdated {
    amount
  }
}
    `;export{AddCounter_WsDocument,CounterCacheQueryDocument,SyncCachedCounterDocument,useAddCounter_WsMutation,useCounterCacheQueryLazyQuery,useSyncCachedCounterMutation};//# sourceMappingURL=generated-model.js.map
